## org.apache.batik.util
Class Platform

    java.lang.Object
      org.apache.batik.util.Platform

    public abstract class Platform

extends java.lang.Object

Platform specific functionality.

Field Summary
`static boolean` `isJRE13` Whether we are running on JRE 1.3.
`static boolean` `isOSX` Whether we are running on Mac OS X.

Constructor Summary
`Platform()`

Method Summary
`static void` `unmaximize(java.awt.Frame f)` Unmaximizes the specified Frame.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isOSX

    public static boolean isOSX

  Whether we are running on Mac OS X.

### isJRE13

    public static boolean isJRE13

  Whether we are running on JRE 1.3.

Constructor Detail

### Platform

    public Platform()

Method Detail

### unmaximize

    public static void unmaximize(java.awt.Frame f)

  Unmaximizes the specified Frame.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.